package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.DeviceBean;
import com.wd.workoffice.bean.SparePartsBean;
import com.wd.workoffice.bean.workEnum.PagePermissionType;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class SparePartsAdapter extends BaseQuickAdapter<SparePartsBean.RecordsBean, BaseViewHolder> {
    public SparePartsAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, SparePartsBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getItemName());
        helper.setText(R.id.tv_code, String.format("编号:%s", item.getAssetId()));
        helper.setText(R.id.tv_spec, String.format("规格:%s", item.getSpecificationType()));
        helper.setText(R.id.tv_num, String.format("规格:%s", item.getQuantity()));
        helper.setText(R.id.tv_send_num, String.format("规格:%s", item.getIssuedqty()));

    }
}

